Package wx :: Package lib :: Package ogl :: Class CircleShape

[frames | no frames]

## Type CircleShape

         object --+
                  |
    ShapeEvtHandler --+
                      |
                  Shape --+
                          |
               EllipseShape --+
                              |
                             CircleShape

An EllipseShape whose width and height are the same.

Method Summary
| `__init__(self, diameter)`
| ``GetPerimeterPoint`(self, x1, y1, x2, y2)` Get the point at which the line from (x1, y1) to (x2, y2) hits the shape.

Class Variable Summary

Method Details

### GetPerimeterPoint(self, x1, y1, x2, y2)

Get the point at which the line from (x1, y1) to (x2, y2) hits the shape. Returns False if the line doesn't hit the perimeter.

  Overrides:
    `wx.lib.ogl.EllipseShape.GetPerimeterPoint` (inherited documentation)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:27 2007 | http://epydoc.sf.net